We use cookies
We use cookies to optimize our website. By continuing to browse the site, you agree to our use of cookies.
New design
Control panel
  • Русский
  • Українська
  • English
  • UAH
  • USD
  • RUB
  • EUR
  • 0-800-307-307 Hotline
  • +38 (044) 392-74-33 Kiev
  • +38 (057) 728-39-00 Kharkiv
  • +38 (056) 794-38-31 Dnipro
  • +38 (032) 229-58-93 Lviv
  • +38 (048) 738-57-70 Odessa
  • +38(093) 170-15-42  Life
  • +38 (067) 400-88-44 Kievstar
  • +1(888)393-24-51  USA, Toll free
  • +44(131)507-01-14  Great Britain
  • +7 (499) 348-28-61 Moscow

CMS Drupal. Установка Drush

Wolf
5 years old
1

Установил composer и drush согласно инструкции в FAQ в корневую папку аккаунта, при вводе любой команды получаю сообщение, например:

[krim@hosting]$ drush help

Parse error: syntax error, unexpected '[' in /home/krim/drush/includes/preflight.inc on line 205
[krim@hosting]$


Подскажите как исправить ошибку? Заранее благодарю!

Wolf
5 years old
1

Разобрался сам:

при создании алиасов, нужно указывать версию php 5.6.
Например в FAQ указано:

echo "export DRUSH_PHP='/usr/local/php53/bin/php'" >> ~/.bashrc
echo "alias drush='/usr/local/php53/bin/php ~/drush/drush.php --php=/usr/local/php53/bin/php'" >> ~/.bashrc

нужно заменить на:

echo "export DRUSH_PHP='/usr/local/php56/bin/php'" >> ~/.bashrc
echo "alias drush='/usr/local/php53/bin/php ~/drush/drush.php --php=/usr/local/php56/bin/php'" >> ~/.bashrc

Для меня сработало!

Андрей
5 years old
0

Какую версию Drush ставили?

Wolf
5 years old
1

Drush Version : 9.0-dev
Установку делал из FAQ

Андрей
5 years old
0

Спасибо за информацию.
В инструкции не учтена установка разных версий - добавим

Андрей
5 years old
1
Wolf
5 years old
0

В инструкции не учтена установка разных версий - добавим © Андрей


Пока не добавляйте, сейчас заметил на некоторых командах ту же ошибку:


[krim@hosting]$ drush entity-updates
The following updates are pending:

node entity type :
Удалить поле Синоним URL.
taxonomy_term entity type :
Удалить поле Синоним URL.
Do you wish to run all pending updates? (y/n): y

Parse error: syntax error, unexpected '[' in /home/krim/drush/includes/preflight.inc on line 205
The external command could not be executed due to an application [error]
error.
The command could not be executed successfully (returned: [error]
Parse error: syntax error, unexpected '[' in
/home/krimin01/drush/includes/preflight.inc on line 205
, code: 255)

Parse error: syntax error, unexpected '[' in /home/krim/drush/includes/preflight.inc on line 205
The external command could not be executed due to an application [error]
error.
The command could not be executed successfully (returned: [error]
Parse error: syntax error, unexpected '[' in
/home/krim/drush/includes/preflight.inc on line 205
, code: 255)
Finished performing updates. [ok]
[krim@hosting]$

Андрей
5 years old
0

а алиас для работы с drush создавали с указанием нужной версии РНР?

Wolf
5 years old
0

Андрей, все нормально переустановил Drush по Вашей новой инструкции. Все работает!

Андрей
5 years old
1

Приятной работы

The topic is closed.